#### D.15.14.32 multiDegPartition

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  multiDegPartition(def p), p polynomial/vector

Returns:
  an ideal/module consisting of multigraded-homogeneous parts of p

Example:

    LIB "multigrading.lib";
    ring r = 0,(x,y,z),dp;
    intmat g[2][3]=
    1,0,1,
    0,1,1;
    intmat t[2][1]=
    -2,
    1;
    setBaseMultigrading(g,t);
    poly f = x10yz+x8y2z-x4z2+y5+x2y2-z2+x17z3-y6;
    multiDegPartition(f);
    ==> _[1]=x17z3
    ==> _[2]=x10yz+x8y2z
    ==> _[3]=-y6
    ==> _[4]=-x4z2+y5
    ==> _[5]=x2y2-z2
    vector v = xy*gen(1)-x3y2*gen(2)+x4y*gen(3);
    intmat B[2][3]=1,-1,-2,0,0,1;
    v = setModuleGrading(v,B);
    getModuleGrading(v);
    ==> 1,-1,-2,
    ==> 0,0,1
    multiDegPartition(v, B);
    ==> _[1]=x4y*gen(3)-x3y2*gen(2)
    ==> _[2]=xy*gen(1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.